Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault

From: zimoun <[email-masked]>
Date: Tue, 25 Feb 2020 16:49:34 +0100

Hi Arun,

On Mon, 24 Feb 2020 at 20:10, Arun Isaac <[email-masked]> wrote:

> > But as we have talked before, there is an issue about the upstream
> > test suite of the package (point 1. of [1]). So I am investigating...
>
> Ah, I understand our miscommunication now. You have been talking about
> point 1 (bug in upstream test suite) and I've been talking about point 2
> (segmentation fault when loading vector data). Yes, replacing proj.4
> with proj only addresses point 2, not point 1.

It is not segfaulting anymore, I agree.
But is it enough to know that everything is ok and the package is not broken?

I am mean looking at the output of the 'check' phase (see [1]), it
displays a diff and I am not confident if it is good or not. That's
why I did not confirm that changing from proj.4 to proj works. Maybe I
mispelled "error" in my previous answer and the correct words seem "I
get an lengthy message and I do not know if it is ok." :-)

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39204#26

Cheers,
simon